## ros-foxy-turtlebot3-manipulation-bringup 2.1.0

=== CMakeLists.txt ===
################################################################################
# Set minimum required version of cmake, project name and compile options
################################################################################
cmake_minimum_required(VERSION 3.5)
project(turtlebot3_manipulation_bringup)

################################################################################
# Find and load build settings from external packages
################################################################################
find_package(ament_cmake REQUIRED)

################################################################################
# Install
################################################################################
install(
  DIRECTORY launch config rviz worlds
  DESTINATION share/${PROJECT_NAME}
)

ament_environment_hooks("${CMAKE_CURRENT_SOURCE_DIR}/env-hooks/${PROJECT_NAME}.dsv.in")
################################################################################
# Macro for ament package
################################################################################
ament_package()

=== debian/changelog ===
ros-foxy-turtlebot3-manipulation-bringup (2.1.0-1focal) focal; urgency=high

  * Support ROS2 Foxy
  * MoveIt environment configured (backported from Humble)
  * use ros2_control framework instead of ROBOTIS custom library
  * removed dependency to turtlebot3_*` and open_manipulator packages
  * Contributors: Hye-Jong KIM, Darby Lim, Will Son

 -- Will Son <willson@robotis.com>  Thu, 13 Oct 2022 15:00:00 -0000

ros-foxy-turtlebot3-manipulation-bringup (1.1.0-1focal) focal; urgency=high

  * updated to sync for new open_manipulator_package
  * added params for ar_marker
  * added launch file to run demo
  * added gripper controller
  * added smach and smach_ros
  * added waffle model, ar marker argument, ar tracker, prefix
  * added joint control for platform
  * added filter
  * changed logerr to logwarn
  * changed joint trajectory variable
  * updated params releated to odom
  * Contributors: Darby Lim, Pyo

 -- Will Son <willson@robotis.com>  Thu, 07 Feb 2019 15:00:00 -0000

ros-foxy-turtlebot3-manipulation-bringup (1.0.1-1focal) focal; urgency=high

  * added dependency package option
  * Contributors: Pyo

 -- Will Son <willson@robotis.com>  Sun, 03 Jun 2018 15:00:00 -0000

ros-foxy-turtlebot3-manipulation-bringup (1.0.0-1focal) focal; urgency=high

  * updated the CHANGELOG and version to release binary packages
  * Contributors: Darby Lim, Pyo

 -- Will Son <willson@robotis.com>  Thu, 31 May 2018 15:00:00 -0000

=== debian/control ===
Source: ros-foxy-turtlebot3-manipulation-bringup
Section: misc
Priority: optional
Maintainer: Will Son <willson@robotis.com>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-turtlebot3-manipulation-bringup
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-gazebo-ros, ros-foxy-gripper-controllers, ros-foxy-robot-state-publisher, ros-foxy-ros2-control, ros-foxy-ros2-controllers, ros-foxy-rviz2, ros-foxy-turtlebot3-manipulation-description, ros-foxy-xacro, ros-foxy-ros-workspace
Description: ROS 2 package for turtlebot3_manipulation

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-turtlebot3-manipulation-bringup//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
